package org.jeecg.modules.system.app.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author DM
 * @date 2025/7/8 11:03
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="场地价格规则入参DTO")
public class AppSiteRuleDTO {
    @Schema(description = "id")
    private String id;
    /**场地*/
    @Excel(name = "场地", width = 15)
    @Schema(description = "场地")
    private String siteId;
    /**运动类型*/
    @Excel(name = "运动类型", width = 15)
    @Schema(description = "运动类型")
    private String categoryId;
    /**开始时间*/
    @Excel(name = "开始时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "开始时间")
    private Date startTime;
    /**结束时间*/
    @Excel(name = "结束时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "结束时间")
    private Date endTime;
    /**星期几*/
    @Excel(name = "星期几", width = 15)
    @Schema(description = "星期几")
    private String dayOfWeek;
    /**原价*/
    @Excel(name = "原价", width = 15)
    @Schema(description = "原价")
    private BigDecimal originalPrice;
    /**售价*/
    @Excel(name = "售价", width = 15)
    @Schema(description = "售价")
    private BigDecimal sellingPrice;
    /**库存/票数*/
    @Excel(name = "库存", width = 15)
    @Schema(description = "库存")
    private Integer inventory;
    /**是否教学日0是1不是*/
    @Excel(name = "是否教学日0是1不是", width = 15)
    @Schema(description = "是否教学日0是1不是")
    private Integer isTeaching;
}