package org.jeecg.modules.system.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.modules.system.app.dto.AppCategoryDTO;
import org.jeecg.modules.system.app.dto.AppSiteDTO;
import org.jeecg.modules.system.app.dto.AppSitePageDTO;
import org.jeecg.modules.system.app.entity.AppSite;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.system.app.vo.AppCategoryVO;

/**
 * @Description: 场地表
 * @Author: jeecg-boot
 * @Date: 2025-07-03
 * @Version: V1.0
 */
public interface IAppSiteService extends IService<AppSite> {

    /**
     * 保存场地表
     * @param appSiteDTO
     * @return
     */
    Boolean saveWitchPriceRules(AppSiteDTO appSiteDTO);
    /**
     * 修改场地表
     * @param appSiteDTO
     * @return
     */
    Boolean editWitchPriceRules(AppSiteDTO appSiteDTO);
    /**
     * 通过id查询场地表
     * @param id
     * @return
     */
    AppSiteDTO queryWitchPriceRulesById(String id);
    /**
     * 删除场地表
     * @param id
     * @return
     */
    Boolean deleteWitchPriceRulesById(String id);

    IPage<AppSiteDTO> querySiteList(AppSitePageDTO dto);

}
